Chuyển đến nội dung chính
GET
https://api-oms.verolabs.co
/
api
/
v1
/
util
/
search
Caller-scoped account search (backs the terminal CMD search)
curl --request GET \
  --url https://api-oms.verolabs.co/api/v1/util/search \
  --header 'Authorization: Bearer <token>'
{
  "query": "<string>",
  "accounts": [
    {
      "user_id": "<string>",
      "account_code": "<string>",
      "granted_by": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Ủy quyền

Authorization
string
header
bắt buộc

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Tham số truy vấn

q
string

Optional case-insensitive substring to match account codes.

limit
integer

Default 50, capped at 200.

Phạm vi bắt buộc: 1 <= x <= 200

Phản hồi

200 - application/json

OK

SearchAccountsResponse schema.

query
string

Query value for SearchAccountsResponse.

accounts
object[]

Accounts returned by the search response.